<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Name (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Name (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Name.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/IndexedColors.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/Name.html" target="_top">Frames</a></li>
        <li><a href="Name.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Interface Name" class="title">Interface Name</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/model/ExternalLinksTable.ExternalName.html"
                           title="class in org.apache.poi.xssf.model">ExternalLinksTable.ExternalName</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFName.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFName</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFName</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">Name</span></pre>
                <div class="block">Represents a defined name for a range of cells.
                    <p>
                        A name is a meaningful shorthand that makes it easier to understand the purpose of a
                        cell reference, constant or a formula.
                    </p>
                    Examples:
                    <pre><blockquote>
  Sheet sheet = workbook.createSheet("Loan Calculator");
  Name name;

  name = workbook.createName();
  name.setNameName("Interest_Rate");
  name.setRefersToFormula("'Loan Calculator'!$E$5");

  name = wb.createName();
  name.setNameName("Loan_Amount");
  name.setRefersToFormula("'Loan Calculator'!$E$4");

  name = wb.createName();
  name.setNameName("Number_of_Payments");
  name.setRefersToFormula("'Loan Calculator'!$E$10");

  name = wb.createName();
  name.setNameName("Monthly_Payment");
  name.setRefersToFormula("-PMT(Interest_Rate/12,Number_of_Payments,Loan_Amount)");

  name = wb.createName();
  name.setNameName("Values_Entered");
  name.setRefersToFormula("IF(Loan_Amount*Interest_Rate>0,1,0)");

 </blockquote></pre>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#getComment--">getComment</a></span>()</code>
                                    <div class="block">Returns the comment the user provided when the name was
                                        created.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#getNameName--">getNameName</a></span>()</code>
                                    <div class="block">Gets the name of the named range</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#getRefersToFormula--">getRefersToFormula</a></span>()</code>
                                    <div class="block">Returns the formula that the name is defined to refer to.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#getSheetIndex--">getSheetIndex</a></span>()</code>
                                    <div class="block">Returns the sheet index this name applies to.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#getSheetName--">getSheetName</a></span>()</code>
                                    <div class="block">Get the sheets name which this named range is referenced to</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#isDeleted--">isDeleted</a></span>()</code>
                                    <div class="block">Checks if this name points to a cell that no longer exists</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#isFunctionName--">isFunctionName</a></span>()</code>
                                    <div class="block">Checks if this name is a function name</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#setComment-java.lang.String-">setComment</a></span>(java.lang.String&nbsp;comment)</code>
                                    <div class="block">Sets the comment the user provided when the name was created.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#setFunction-boolean-">setFunction</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Indicates that the defined name refers to a user-defined
                                        function.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#setNameName-java.lang.String-">setNameName</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Sets the name of the named range</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#setRefersToFormula-java.lang.String-">setRefersToFormula</a></span>(java.lang.String&nbsp;formulaText)</code>
                                    <div class="block">Sets the formula that the name is defined to refer to.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Name.html#setSheetIndex-int-">setSheetIndex</a></span>(int&nbsp;sheetId)</code>
                                    <div class="block">Tell Excel that this name applies to the worksheet with the
                                        specified index instead of the entire workbook.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSheetName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetName</h4>
                                <pre>java.lang.String&nbsp;getSheetName()</pre>
                                <div class="block">Get the sheets name which this named range is referenced to</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>sheet name, which this named range referred to</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNameName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNameName</h4>
                                <pre>java.lang.String&nbsp;getNameName()</pre>
                                <div class="block">Gets the name of the named range</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>named range name</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNameName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNameName</h4>
                                <pre>void&nbsp;setNameName(java.lang.String&nbsp;name)</pre>
                                <div class="block">Sets the name of the named range

                                    <p>The following is a list of syntax rules that you need to be aware of when you
                                        create and edit names.</p>
                                    <ul>
                                        <li><strong>Valid characters</strong>
                                            The first character of a name must be a letter, an underscore character (_),
                                            or a backslash (\).
                                            Remaining characters in the name can be letters, numbers, periods, and
                                            underscore characters.
                                        </li>
                                        <li><strong>Cell references disallowed</strong>
                                            Names cannot be the same as a cell reference, such as Z$100 or R1C1.
                                        </li>
                                        <li><strong>Spaces are not valid</strong>
                                            Spaces are not allowed as part of a name. Use the underscore character (_)
                                            and period (.) as word separators, such as, Sales_Tax or First.Quarter.
                                        </li>
                                        <li><strong>Name length</strong>
                                            A name can contain up to 255 characters.
                                        </li>
                                        <li><strong>Case sensitivity</strong>
                                            Names can contain uppercase and lowercase letters.
                                        </li>
                                    </ul>
                                    <p>
                                        A name must always be unique within its scope. POI prevents you from defining a
                                        name that is not unique
                                        within its scope. However you can use the same name in different scopes.
                                        Example:
                                    <pre><blockquote>
 //by default names are workbook-global
 Name name;
 name = workbook.createName();
 name.setNameName("sales_08");

 name = workbook.createName();
 name.setNameName("sales_08"); //will throw an exception: "The workbook already contains this name (case-insensitive)"

 //create sheet-level name
 name = workbook.createName();
 name.setSheetIndex(0); //the scope of the name is the first sheet
 name.setNameName("sales_08");  //ok

 name = workbook.createName();
 name.setSheetIndex(0);
 name.setNameName("sales_08");  //will throw an exception: "The sheet already contains this name (case-insensitive)"

 </blockquote></pre>
                                    </p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - named range name to set</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if the name is invalid or the
                                        already exists within its scope (case-insensitive)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRefersToFormula--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRefersToFormula</h4>
                                <pre>java.lang.String&nbsp;getRefersToFormula()</pre>
                                <div class="block">Returns the formula that the name is defined to refer to.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the reference for this name, <code>null</code> if it has not been set yet. Never
                                        empty string
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Name.html#setRefersToFormula-java.lang.String-"><code>setRefersToFormula(String)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRefersToFormula-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRefersToFormula</h4>
                                <pre>void&nbsp;setRefersToFormula(java.lang.String&nbsp;formulaText)</pre>
                                <div class="block">Sets the formula that the name is defined to refer to. The following
                                    are representative examples:

                                    <ul>
                                        <li><code>'My Sheet'!$A$3</code></li>
                                        <li><code>8.3</code></li>
                                        <li><code>HR!$A$1:$Z$345</code></li>
                                        <li><code>SUM(Sheet1!A1,Sheet2!B2)</li>
                                        <li><code>-PMT(Interest_Rate/12,Number_of_Payments,Loan_Amount)</li>
                                    </ul>

                                    Note: Using relative values like 'A1:B1' can lead to unexpected moving of
                                    the cell that the name points to when working with the workbook in Microsoft Excel,
                                    usually using absolute references like '$A$1:$B$1' avoids this, see also
                                    https://superuser.com/a/1031047/126954
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formulaText</code> - the reference for this name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if the specified formulaText
                                        is unparsable
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFunctionName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFunctionName</h4>
                                <pre>boolean&nbsp;isFunctionName()</pre>
                                <div class="block">Checks if this name is a function name</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this name is a function name</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isDeleted--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDeleted</h4>
                                <pre>boolean&nbsp;isDeleted()</pre>
                                <div class="block">Checks if this name points to a cell that no longer exists</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the name refers to a deleted cell, <code>false</code>
                                        otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSheetIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSheetIndex</h4>
                                <pre>void&nbsp;setSheetIndex(int&nbsp;sheetId)</pre>
                                <div class="block">Tell Excel that this name applies to the worksheet with the specified
                                    index instead of the entire workbook.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sheetId</code> - the sheet index this name applies to, -1 unsets this
                                        property making the name workbook-global
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if the sheet index is invalid.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetIndex</h4>
                                <pre>int&nbsp;getSheetIndex()</pre>
                                <div class="block">Returns the sheet index this name applies to.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the sheet index this name applies to, -1 if this name applies to the entire
                                        workbook
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getComment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getComment</h4>
                                <pre>java.lang.String&nbsp;getComment()</pre>
                                <div class="block">Returns the comment the user provided when the name was created.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the user comment for this named range</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setComment-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setComment</h4>
                                <pre>void&nbsp;setComment(java.lang.String&nbsp;comment)</pre>
                                <div class="block">Sets the comment the user provided when the name was created.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>comment</code> - the user comment for this named range</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFunction-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setFunction</h4>
                                <pre>void&nbsp;setFunction(boolean&nbsp;value)</pre>
                                <div class="block">Indicates that the defined name refers to a user-defined function.
                                    This attribute is used when there is an add-in or other code project associated with
                                    the file.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - <code>true</code> indicates the name refers to a function.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Name.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/IndexedColors.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/Name.html" target="_top">Frames</a></li>
        <li><a href="Name.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
